### DB_ENV->set_mp_max_write |

`

###

    #include <db.h>

    int
    DB_ENV->set_mp_max_write(DB_ENV *env, int maxwrite, int maxwrite_sleep);

    int
    DB_ENV->get_mp_max_write(DB_ENV *env, int *maxwritep, int *maxwrite_sleepp);

### Description: DB_ENV->set_mp_max_write

The DB_ENV->set_mp_max_write method limits the number of sequential write operations scheduled by the library when flushing dirty pages from the cache.

The DB_ENV->set_mp_max_write method returns a non-zero error value on failure and 0 on success.

### Parameters

maxwrite
  The maximum number of sequential write operations scheduled by the library when flushing dirty pages from the cache.
maxwrite_sleep
  The number of microseconds the thread of control should pause before scheduling further write operations.

### Errors

The DB_ENV->set_mp_max_write method may fail and return one of the following non-zero errors:

EINVAL
  An invalid flag value or parameter was specified.

### Description: DB_ENV->get_mp_max_write

The DB_ENV->get_mp_max_write method returns the current maximum number of sequential write operations and microseconds to pause.

The DB_ENV->get_mp_max_write method may be called at any time during the life of the application.

The DB_ENV->get_mp_max_write method returns a non-zero error value on failure and 0 on success.

### Parameters

maxwritep
  The maxwritep parameter references memory into which the maximum number of sequential write operations is copied.
maxwrite_sleepp
  The maxwrite_sleepp parameter references memory into which the microseconds to pause before scheduling further write operations is copied.

### Class

DB_ENV, DB_MPOOLFILE

### See Also

Memory Pools and Related Methods`

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.